// Copyright (c) 2018, moraleja39. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

import '../localedata.dart';
import '../identifier_position.dart';

class LocaleEs implements ILocaleData {
  final String _localeString;
  String get localeString => _localeString;

  LocaleEs([this._localeString = "es"]);

  String get seconds => 'unos segundos';

  String get aMinute => 'un minuto';
  String get minutes => '%i minutos';

  String get anHour => 'una hora';
  String get hours => '%i horas';

  String get aDay => 'un día';
  String get days => '%i días';

  String get aMonth => 'un mes';
  String get months => '%i meses';

  String get aYear => 'un año';
  String get years => '%i años';

  String get futureIdentifier => 'en';
  String get pastIdentifier => 'hace';

  IdentifierPosition get futurePosition => IdentifierPosition.prepend;
  IdentifierPosition get pastPosition => IdentifierPosition.prepend;
}
